## gnustep-dl2 0.12.0

=== debian/changelog ===
gnustep-dl2 (0.12.0-13) unstable; urgency=medium

  * Team upload.
  * debian/control (Build-Depends): Replace gorm.app with libgorm-dev
    (Closes: #759832).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Oct 2014 18:35:54 +0200

gnustep-dl2 (0.12.0-12) unstable; urgency=low
  [Yavor Doganov]
  * debian/patches/581934.patch: fixes to prevent NSInvalidArgumentException
    (closes: #753483)
  * debian/patches/dbmodeler.patch: prevents crashes when opening a model file
  [Federico Gimenez Nieto]
  * debian/gnustep-dl2.install: reverted changes to install GDL2 palette
  * debian/rules: reverted changes to generate GDL2 palette

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Mon, 07 Jul 2014 19:10:49 +0200

gnustep-dl2 (0.12.0-11) unstable; urgency=low

  * debian/patches/749742.patch: changes to prevent errors when generating html
    from texinfo files with the new version of gnustep-make, patch suggested by
    Yavor Doganov <yavor@gnu.org> (closes: #749742)
  * debian/copyright: updated date
  * debian/control:
    + bumped Standards-Version: 3.9.5
    + removed texi2html as build dependency (gnustep-make now uses makeinfo for
      generating html files from texi files, and it is provided by the already
      included texinfo build dependency)
  * debian/gnustep-dl2.install: readded GDL2intro.info to install, with updated
      html files path
  * debian/gnustep-dl2.doc-base: updated path to GDL2Intro html files
  * debian/gnustep-dl2.menu: removed, the only entry, DBModeler, is now disabled
    since #705602

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Wed, 04 Jun 2014 20:10:49 +0200

gnustep-dl2 (0.12.0-10) unstable; urgency=low

  * debian/gnustep-dl2.install: exlude removed GDL2intro.info from install
    (closes: #707514)
  * debian/control: bumped Standards-Version: 3.9.4
  * debian/copyright: updated date

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Sun, 19 May 2013 12:49:36 +0200

gnustep-dl2 (0.12.0-9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude broken eoutil and DBModeler tools (closes: #705602).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 21 Apr 2013 06:04:15 +0000

gnustep-dl2 (0.12.0-9) unstable; urgency=low

  * gcc-4.7.patch by Yavor Doganov <yavor@gnu.org> (Closes: #667871)
  * debian/control: bumped Standards-Version: 3.9.3
  * debian/rules: added "-z relro" to LDFLAGS to prevent hardening-no-relro
  * debian/copyright: updated date

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Wed, 27 Jun 2012 08:06:36 +0200

gnustep-dl2 (0.12.0-8) unstable; urgency=low

  * debian/gnustep-dl2.install: Removed empty GDL2 palette generation
    (closes: #645933)
  * debian/patches/format-security.patch: modifications to prevent
    FTBFS with -Werror=format-security compiler option,
    thanks Ilya Barygin <randomaction@ubuntu.com> (closes: #647081)
  * debian/preinst: Removed GDL2 palette resources related move commands
  * debian/rules:
    + Removed GDL2 palette resources related move commands
    + Removed relink for GDL2 palette

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Sun, 30 Oct 2011 10:33:07 +0100

gnustep-dl2 (0.12.0-7) unstable; urgency=low

  * debian/patches/629204.patch: modifications due to Traditional to Modern 
    GNU Objective-C runtime API (closes: #629204)
  * debian/gbp.conf: configuration for git-buildpackage tool
  * debian/control:
    + Bumped Standards-Version to 3.9.2 (no changes needed)
    + Added Vcs-Git and Vcs-Browser

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Fri, 26 Aug 2011 08:38:04 +0200

gnustep-dl2 (0.12.0-6) unstable; urgency=low

  * Removed references to the now missing GNUsteBase/GSCategories.h 
    (closes: #618181)
  * debian/copyright: updated year 

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Tue, 22 Mar 2011 12:10:06 +0100

gnustep-dl2 (0.12.0-5) unstable; urgency=low

  * debian/control:
      -stated that libgnustep-dl2-0d conflicts libgnustep-dl2-0
       (closes: #594443)
      -added versioned Replaces relationship for all the packages in which
      gnustep-dl2 was split with 0.12 version

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Sat, 28 Aug 2010 08:16:31 +0200

gnustep-dl2 (0.12.0-4) unstable; urgency=low

  [ Yavor Doganov ]
  * Added patch EOControl/GNUmakefile (EOControl_INTERFACE_VERSION): Define
    as Debian-specific due to the ABI break. (closes: #581934)
  * debian/control: Renamed libgnustep-dl2-0 to libgnustep-dl2-0d
  * debian/libgnustep-dl2-0.install renamed to debian/libgnustep-dl2-0d.install
    and with the EOControl entry adjusted for soname change.
  * debian/rules: update references of libgnustep-dl2-0 to libgnustep-dl2-0d

  [Federico Gimenez Nieto]
  * debian/control: Bumped standards version (3.9.1)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Fri, 13 Aug 2010 20:34:31 +0200

gnustep-dl2 (0.12.0-3) unstable; urgency=low

  * debian/rules: ADDITIONAL_OBJCFLAGS defined to work with
    gnustep-make/2.4.x (Closes: #583087) Thanks Yavor Doganov
  * debian/control: made first paragraph of long description a proper
    sentence for gnustep-dl2-sqlite-adaptor and gnustep-dl2-postgresql-adaptor
    (Closes: #579673)
  * Added patch for fixing documentation generation (Thanks Yavor Doganov)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Tue, 27 May 2010 19:34:31 +0200

gnustep-dl2 (0.12.0-2) unstable; urgency=low

  [ Yavor Doganov ]
  * debian/rules (binary-arch): Avoid circular dependencies between the
    adaptor packages and the library (Closes: #574949).
  * debian/control
        (libgnustep-dl2-0) <Depends>: Tighten depends on the
        adaptors.  Fix typo (Closes: #579002).
        (libgnustep-dl2-dev) <Depends>: Added dependency on
        libgnustep-dl2-0 (Closes: #579003)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Tue, 27 Apr 2010 19:55:31 +0200

gnustep-dl2 (0.12.0-1) unstable; urgency=low

  * New maintainer (Closes: #461896)
  * New upstream version
  * Fixed "FTBFS: ../EOControl/EOQualifier.h:240: error: cannot find

