=== debian/control ===
Source: gnustep-dl2
Section: gnustep
Priority: optional
Maintainer: Federico Gimenez Nieto <fgimenez@coit.es>
Uploaders: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7),
	       libgnustep-gui-dev,
	       libpq-dev,
	       librenaissance0-dev, 
               libsqlite3-dev,
	       libgorm-dev,
	       texinfo,
	       texlive-latex-base,
	       imagemagick
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/pkg-gnustep/gnustep-dl2.git
Vcs-Browser: http://git.debian.org/?p=pkg-gnustep/gnustep-dl2.git
Homepage: http://www.gnustep.org/experience/GDL2.html

Package: gnustep-dl2
Architecture: any
Depends: ${shlibs:Depends}, ${gnustep:Depends}, ${misc:Depends}, 
         dpkg (>= 1.15.4) | install-info
Recommends: libgnustep-dl2-dev
Description: Objective-C Classes needed for Database Access
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.

Package: libgnustep-dl2-0d
Architecture: any
Section: libs
Depends: gnustep-dl2-postgresql-adaptor | gnustep-dl2-sqlite-adaptor, ${misc:Depends}, ${shlibs:Depends}
Replaces: gnustep-dl2 (<<0.12)
Conflicts: libgnustep-dl2-0
Description: bundle of runtime libraries for gnustep-dl2
 This package includes the EOAccess, EOInterface and EOControl runtime
 libraries.
 .
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.

Package: libgnustep-dl2-dev
Architecture: any
Section: libdevel
Depends: libgnustep-dl2-0d (= ${binary:Version}), ${misc:Depends}, libgnustep-gui-dev
Replaces: gnustep-dl2 (<<0.12)
Description: development files for gnustep-dl2 runtime libraries
 Beside the headers and so symlinks for EOAccess, EOInterface and 
 EOControl libraries, the package includes the general gdl2.make
 .
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.

Package: gnustep-dl2-postgresql-adaptor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gnustep-dl2 (<<0.12)
Description: gnustep-dl2 adaptor to connect to PostgreSQL
 This specific EOAdaptor project supports PostgreSQL 8.1 and higher
 .
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.

Package: gnustep-dl2-sqlite-adaptor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gnustep-dl2 (<<0.12)
Description: gnustep-dl2 adaptor to connect to SQLite
 This specific EOAdaptor project supports SQLite 3.x and higher
 .
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.
