=== debian/watch ===
version=3
http://www.gnustep.org/experience/GDL2.html ftp://ftp.gnustep.org/pub/gnustep/libs/gnustep-dl2-([\d.]+)\.tar.gz
