## gnustep-dl2 0.12.0+git20171224

=== debian/changelog ===
gnustep-dl2 (0.12.0+git20171224-3build1) oracular; urgency=medium

  * Rebuild against new libinterfacebuilder1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 06:59:59 +0200

gnustep-dl2 (0.12.0+git20171224-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/control (Build-Depends-Indep): Annotate all with <!nodoc>.
    (Build-Depends): Add gnustep-make (>= 2.9.2-2) for new dh_gnustep.
    (Homepage): Use the GDL article at mediawiki.gnustep.org; the old page
    is no longer available.
  * debian/rules (override_dh_auto_install): Don't delete the stamp.make
    file; dh_gnustep should take care of that.
    (execute_before_dh_link): New target; invoke gsdh_gnustep with the
    appropriate options to get bug-script symlinks.
  * debian/gnustep-dl2.install: Install everything but app's Resources.
  * debian/gdlgsdoc.1: Use "LGPL-3 or later" instead of "LGPL-3+" as
    licensecheck apparently cannot parse it.
  * debian/copyright: Use ftp.gnustep.org as Source; add 2-clause BSD for
    two files which have two method definitions originally under this
    license.  Add original authors as copyright holders.
  * debian/NEWS: New file; add forgotten entry about DBModeler's
    retirement and its replacement.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 09 Jul 2024 20:43:43 +0300

gnustep-dl2 (0.12.0+git20171224-2) experimental; urgency=medium

  * debian/control (libgnustep-dl2-0deb) <Breaks, Replaces>: Fix thinko in
    package name (Closes: #1074616).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 02 Jul 2024 11:40:24 +0300

gnustep-dl2 (0.12.0+git20171224-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * debian/gbp.conf: New file.
  * debian/patches/implicit-func-decl.patch: Delete; fixed upstream.
  * debian/patches/fix_missing_include_for_NSArray.diff: Likewise.
  * debian/patches/581934.patch: Likewise.
  * debian/patches/618181.patch: Likewise.
  * debian/patches/629204.patch: Likewise.
  * debian/patches/gcc-4.7.patch: Likewise.
  * debian/patches/dbmodeler.patch: Delete; unnecessary now when the
    DBModeler application is no longer built.
  * debian/patches/base-1.29.patch: Delete; no longer applicable.
  * debian/patches/avoid_unresolved_symbols.diff: Remove hunks applied
    upstream; update and refresh.
  * debian/patches/spelling-errors.patch: Likewise.
  * debian/patches/fix_documentation_generation.diff: Refresh.
  * debian/patches/format-security.patch: Likewise.
  * debian/patches/libgorm-rename.patch: New; link with InterfaceBuilder.
  * debian/patches/tests.patch: New; fix some issues with the tests.
  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Replace libgorm-dev with
    libinterfacebuilder-dev.  Add gorm.app (>= 1.4) for a GormCore header.
    Add postgresql <!nocheck> to test the Trading example.
    (Build-Depends-Indep): Move texinfo and texlive-latex-base here.  Add
    gnustep-base-doc and gnustep-gui-doc for cross-document links.
    (gnustep-dl2) <Depends>: Add libgnustep-dl2-0deb (= ${binary:Version}).
    <Recommends>: Add gnustep-dl2-doc.
    <Description>: Mention what the package contains.
    (gnustep-dl2-doc): New package; move documentation and examples here.
    (libgnustep-dl2-0d): Rename package to...
    (libgnustep-dl2-0deb): ...due to ABI breakage.  Add Breaks + Replaces.
    (libgnustep-dl2-dev) <Depends>: Depend on the new library package.
    <Suggests>: Add gnustep-dl2-doc.
    (gnustep-dl2-postgresql-adaptor) <Depends>: Add strict dependency on
    the new library.
    (gnustep-dl2-sqlite-adaptor) <Depends>: Likewise.
    (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/gnustep-dl2.install: Ship everything in /usr/bin.  Remove
    EOModeler; add usr/lib/gnustep-dl2/libEOModeler*.  Remove manual in
    various formats; now shipped in gnustep-dl2-doc.
  * debian/gnustep-dl2.links: Replace DBModeler with EOModelEditor.  Do
    not create EOModeler symlink.  Remove documentation links.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Define to help linking with
    the private libraries.
    (docs): Reset variable (set in config.mk) if it's an arch:any build.
    (soname): New variable; define Debian-specific INTERFACE_VERSION.
    (override_dh_auto_configure): Remove override; --disable-examples is
    the default so there's no need to specify it.
    (override_dh_auto_build): Don't set ADDITIONAL_OBJCFLAGS; not needed.
    Use $(soname) for the public libraries.  Use $(docs) instead of
    doc=yes to support "nodoc" in DEB_BUILD_OPTIONS.
    (override_dh_auto_install): Convert EOModelEditor's icon.  Use
    $(soname).  Install EOModeler and the adaptor frameworks as private
    libraries.  Use $(docs) instead of doc=yes; conditionally create
    .install/.links files for the -doc package.
    (override_dh_auto_clean): Use $(docs); delete generated
    .install/.links files for gnustep-dl2-doc.
    (override_dh_auto_test): New; run our improvised testsuite.
    (override_dh_fixperms-arch): New; fix three lintian warnings
    executable-not-elf-or-script and I: image-file-has-conflicting-name.
    (override_dh_makeshlibs): Don't exclude EOAdaptor, doesn't exist.
    Skip trigger creation for gnustep-dl2 (EOModeler is now a private
    library).  Add call with --remaining-packages.
  * debian/DBModeler.desktop: Rename as...
  * debian/EOModelEditor.desktop: ...and adjust icon + executable.
  * debian/DBModeler.1: Rename as...
  * debian/EOModelEditor.1: ...use the new name; add a copyright notice.
  * debian/gdlgsdoc.1: New file; add manpage for the gdlgsdoc tool.
  * debian/gnustep-dl2.manpages: Replace DBModeler.1 with EOModelEditor.1.
    Add gdlgsdoc.1.
  * debian/libgnustep-dl2-0d.install: Rename as...
  * debian/libgnustep-dl2-0deb.install: ...following the package rename.
  * debian/libgnustep-dl2-0d.lintian-overrides: Rename as...

