=== debian/control ===
Source: gnustep-dl2
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Federico Gimenez Nieto <fgimenez@coit.es>,
 Eric Heintzmann <heintzmann.eric@free.fr>,
Build-Depends:
 debhelper-compat (= 13),
 gnustep-make (>= 2.9.2-2),
 gorm.app (>= 1.4),
 imagemagick,
 libinterfacebuilder-dev,
 libpq-dev,
 librenaissance0-dev,
 libsqlite3-dev,
 postgresql <!nocheck>,
Build-Depends-Indep:
 gnustep-base-doc <!nodoc>,
 gnustep-gui-doc <!nodoc>,
 texinfo <!nodoc>,
 texlive-latex-base <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-dl2.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-dl2
Homepage: https://mediawiki.gnustep.org/index.php/GDL

Package: gnustep-dl2
Architecture: any
Depends:
 libgnustep-dl2-0deb (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnustep-dl2-doc,
 libgnustep-dl2-dev,
Description: Objective-C Classes needed for Database Access
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.
 .
 This package contains the EOModelEditor application, the
 eoutil/gdlgsdoc tools and the GDL2 palette for Gorm.

Package: gnustep-dl2-doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Breaks:
 gnustep-dl2 (<< 0.12.0+git20171224-1~),
 libgnustep-dl2-dev (<< 0.12.0+git20171224-1~),
Replaces:
 gnustep-dl2 (<< 0.12.0+git20171224-1~),
 libgnustep-dl2-dev (<< 0.12.0+git20171224-1~),
Description: GNUstep Database Library 2 (documentation)
 GNUstep Database Library Version 2 is needed by GNUstep applications
 that communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.
 .
 This package contains the GDL2Intro manual (in Info, HTML and PDF
 format), the GDL2 libraries API reference and some examples.

Package: libgnustep-dl2-0deb
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnustep-dl2-postgresql-adaptor | gnustep-dl2-sqlite-adaptor,
Breaks:
 libgnustep-dl2-0d,
Replaces:
 libgnustep-dl2-0d,
Description: bundle of runtime libraries for gnustep-dl2
 This package includes the EOAccess, EOInterface and EOControl runtime
 libraries.
 .
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.

Package: libgnustep-dl2-dev
Architecture: any
Section: libdevel
Depends:
 libgnustep-dl2-0deb (= ${binary:Version}),
 libgnustep-gui-dev,
 ${misc:Depends},
Suggests:
 gnustep-dl2-doc,
Description: development files for gnustep-dl2 runtime libraries
 Beside the headers and so symlinks for EOAccess, EOInterface and
 EOControl libraries, the package includes the general gdl2.make
 .
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.

Package: gnustep-dl2-postgresql-adaptor
Architecture: any
Depends:
 libgnustep-dl2-0deb (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: gnustep-dl2 adaptor to connect to PostgreSQL
 This specific EOAdaptor project supports PostgreSQL 8.1 and higher
 .
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.

Package: gnustep-dl2-sqlite-adaptor
Architecture: any
Depends:
 libgnustep-dl2-0deb (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: gnustep-dl2 adaptor to connect to SQLite
 This specific EOAdaptor project supports SQLite 3.x and higher
 .
 GNUstep Database Library Version 2 is needed by GNUstep applications that
 communicate with databases.  It's an implementation of Apple's
 Enterprise Objects Framework (EOF) v 3.0 (from NeXT), and Apple's
 WebObjects 4.5 interface.
