=== debian/tests/control ===
Tests: tools
Restrictions: allow-stderr
Depends: @, postgresql
