## gnustep-dl2 0.12.0+git20250112

=== debian/changelog ===
gnustep-dl2 (0.12.0+git20250112-2) unstable; urgency=medium

  * debian/control (Build-Depends): Replace librenaissance0-dev with
    librenaissance-dev so that the former can be dropped in forky.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
    (libgnustep-dl2-dev) <Conflicts>: Add libsope-dev.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 07 Mar 2025 06:56:09 +0200

gnustep-dl2 (0.12.0+git20250112-1) unstable; urgency=medium

  * New upstream snapshot:
    + Fixes FTBFS with gnustep-base/1.31.0 (Closes: #1096111).
  * debian/patches/libgorm-rename.patch: Delete; fixed upstream.
  * debian/patches/palette-loading.patch: New; fix loading of the Gorm
    palette which was failing due to an undefined symbol as it was
    including headers from the old EOModeler library.  This doesn't make
    the palette useful (missing functionality in the rewritten EOModeler
    library must be reimplemented) but at least avoids an exception
    (caught by Gorm which pops up an error message).
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 17 Feb 2025 19:41:05 +0200

gnustep-dl2 (0.12.0+git20171224-5) unstable; urgency=medium

  * debian/control (libgnustep-dl2-0deb) <Breaks>: Add
    steptalk-gdl2-module (<< 0.10.0+git20200629-3) to assist britney.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Feb 2025 15:07:51 +0200

gnustep-dl2 (0.12.0+git20171224-4) unstable; urgency=medium

  * debian/control (Uploaders): Add myself.
    (Build-Depends): Require libinterfacebuilder-dev (>= 1.4.0-6) for the
    multiarch layout.  Remove gorm.app (now unnecessary and useless in a
    cross build) and gnustep-make (implied by the dependency chain).
    (gnustep-dl2-postgresql-adaptor, gnustep-dl2-sqlite-adaptor)
    (libgnustep-dl2-deb0, libgnustep-dl2-dev): Mark as Multi-Arch: same.
  * debian/gnustep-dl2.install: Update for the multiarch layout.
  * debian/gnustep-dl2-postgresql-adaptor.install: Likewise.
  * debuan/gnustep-dl2-sqlite-adaptor.install: Likewise.
  * debian/libgnustep-dl2-0deb.install: Likewise.
  * debian/libgnustep-dl2-dev.install: Likewise.
  * debian/not-installed: Likewise.
  * debian/rules (private_dir, palette): New variables.
    (DEB_CPPFLAGS_MAINT_APPEND): Define to -DDEBUG for --GNU-Debug.
    (DEB_LDFLAGS_MAINT_APPEND): Install private libraries in a multiarch
    path so that the adaptors can be marked M-A: same.  EOAccess requires
    them and the sole reason that libgnustep-dl2-0deb is declaring only a
    Recommends relationship is to avoid circular dependencies.
    (override_dh_auto_install): Update for multiarch.
    (execute_before_dh_link): Replace --no-move with --app --appsupport
    for the gnustep-dl2 package; simplifies packaging a bit.
    (override_dh_fixperms-arch): Update following dh_gnustep usage above.
  * debian/tests/tools: Update for multiarch (Closes: #1094001).  Build
    with hardening flags to avoid blhc error; support "terse".
  * debian/gnustep-dl2.links: Delete; job delegated to dh_gnustep.
  * debian/upstream/metadata: New file.
  * debian/copyright: Add Upstream-Contact; update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 04 Feb 2025 11:10:46 +0200
