=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders:
  Federico Gimenez Nieto <fgimenez@coit.es>,
  Eric Heintzmann <heintzmann.eric@free.fr>,
+ Yavor Doganov <yavor@gnu.org>,
 Build-Depends:
  debhelper-compat (= 13),
- gnustep-make (>= 2.9.2-2),
- gorm.app (>= 1.4),
  imagemagick,
- libinterfacebuilder-dev,
+ libinterfacebuilder-dev (>= 1.4.0-6),
  libpq-dev,
- librenaissance0-dev,
+ librenaissance-dev,
  libsqlite3-dev,
  postgresql <!nocheck>,
 Build-Depends-Indep:
@@ -21,7 +20,7 @@
  texinfo <!nodoc>,
  texlive-latex-base <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-dl2.git
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-dl2
 Homepage: https://mediawiki.gnustep.org/index.php/GDL
@@ -68,6 +67,7 @@
 
 Package: libgnustep-dl2-0deb
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends:
  ${misc:Depends},
@@ -76,6 +76,7 @@
  gnustep-dl2-postgresql-adaptor | gnustep-dl2-sqlite-adaptor,
 Breaks:
  libgnustep-dl2-0d,
+ steptalk-gdl2-module (<< 0.10.0+git20200629-3),
 Replaces:
  libgnustep-dl2-0d,
 Description: bundle of runtime libraries for gnustep-dl2
@@ -89,6 +90,7 @@
 
 Package: libgnustep-dl2-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  libgnustep-dl2-0deb (= ${binary:Version}),
@@ -96,6 +98,8 @@
  ${misc:Depends},
 Suggests:
  gnustep-dl2-doc,
+Conflicts:
+ libsope-dev,
 Description: development files for gnustep-dl2 runtime libraries
  Beside the headers and so symlinks for EOAccess, EOInterface and
  EOControl libraries, the package includes the general gdl2.make
@@ -107,6 +111,7 @@
 
 Package: gnustep-dl2-postgresql-adaptor
 Architecture: any
+Multi-Arch: same
 Depends:
  libgnustep-dl2-0deb (= ${binary:Version}),
  ${misc:Depends},
@@ -121,6 +126,7 @@
 
 Package: gnustep-dl2-sqlite-adaptor
 Architecture: any
+Multi-Arch: same
 Depends:
  libgnustep-dl2-0deb (= ${binary:Version}),
  ${misc:Depends},
